
Foreman - Bug #19321

Unable to delete a host due to DHCP orchestration failure with older smart proxy

04/19/2017 11:46 AM - Ohad Levy

Status: New   

Priority: Normal   

Assignee:    

Category: DHCP   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

2017-04-19T16:38:03 a77e59ce [app] [I] Delete DHCP reservation dummy.example.com for dummy.example

.com-52:54:00:6f:64:c1/10.35.27.136

2017-04-19T16:38:03 a77e59ce [app] [W] Remove DHCP Settings for dummy.example.com task failed with

 the following error: ERF12-0635 [ProxyAPI::ProxyException]: Unable to delete DHCP entry for 52:54

:00:6f:64:c1 ([RestClient::NotFound]: 404

 | ProxyAPI::ProxyException: ERF12-0635 [ProxyAPI::ProxyException]: Unable to delete DHCP entry fo

r 52:54:00:6f:64:c1 ([RestClient::NotFound]: 404 Not Found) for proxy http://h01.example.com:8443/

dhcp

 | /git/foreman/lib/proxy_api/dhcp.rb:96:in `rescue in delete'

 | /git/foreman/lib/proxy_api/dhcp.rb:94:in `delete'

 | /git/foreman/lib/net/dhcp/record.rb:21:in `destroy'

 | /git/foreman/app/models/concerns/orchestration/dhcp.rb:67:in `block in del_dhcp'

 | /git/foreman/app/models/concerns/orchestration/dhcp.rb:67:in `each'

 | /git/foreman/app/models/concerns/orchestration/dhcp.rb:67:in `all?'

 | /git/foreman/app/models/concerns/orchestration/dhcp.rb:67:in `del_dhcp'

 | /git/foreman/app/models/concerns/orchestration.rb:216:in `execute'

 | /git/foreman/app/models/concerns/orchestration.rb:144:in `block in process'

 | /git/foreman/app/models/concerns/orchestration.rb:136:in `each'

 | /git/foreman/app/models/concerns/orchestration.rb:136:in `process'

 | /git/foreman/app/models/concerns/orchestration.rb:60:in `on_destroy'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:432:in `block in make_lambda'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:228:in `call'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:228:in `block in halting_and_con

ditional'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:506:in `call'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:506:in `block in call'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:506:in `each'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:506:in `call'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:92:in `__run_callbacks__'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:778:in `_run_destroy_callbacks'

 | /gems/gems/activerecord-4.2.8/lib/active_record/callbacks.rb:292:in `destroy'

 | /gems/gems/activerecord-4.2.8/lib/active_record/transactions.rb:281:in `block in destroy'

 | /gems/gems/activerecord-4.2.8/lib/active_record/transactions.rb:351:in `block in with_transacti

on_returning_status'

 | /gems/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract/database_statement

s.rb:211:in `transaction'

 | /gems/gems/activerecord-4.2.8/lib/active_record/transactions.rb:220:in `transaction'

 | /gems/gems/activerecord-4.2.8/lib/active_record/transactions.rb:348:in `with_transaction_return

ing_status'

 | /gems/gems/activerecord-4.2.8/lib/active_record/transactions.rb:281:in `destroy'

 | /gems/gems/activerecord-4.2.8/lib/active_record/persistence.rb:185:in `destroy!'

 | /gems/gems/activerecord-4.2.8/lib/active_record/associations/has_many_association.rb:171:in `ea

ch'

 | /gems/gems/activerecord-4.2.8/lib/active_record/associations/has_many_association.rb:171:in `de

lete_records'

 | /gems/gems/activerecord-4.2.8/lib/active_record/associations/collection_association.rb:532:in `
remove_records'

 | /gems/gems/activerecord-4.2.8/lib/active_record/associations/collection_association.rb:525:in `

block in delete_or_destroy'

 | /gems/gems/activerecord-4.2.8/lib/active_record/associations/collection_association.rb:190:in `

block in transaction'

 | /gems/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract/database_statement

s.rb:211:in `transaction'

 | /gems/gems/activerecord-4.2.8/lib/active_record/transactions.rb:220:in `transaction'

 | /gems/gems/activerecord-4.2.8/lib/active_record/associations/collection_association.rb:189:in `

transaction'

 | /gems/gems/activerecord-4.2.8/lib/active_record/associations/collection_association.rb:525:in `

delete_or_destroy'

 | /gems/gems/activerecord-4.2.8/lib/active_record/associations/collection_association.rb:286:in `

destroy'

 | /gems/gems/activerecord-4.2.8/lib/active_record/associations/collection_association.rb:230:in `

destroy_all'

 | /gems/gems/activerecord-4.2.8/lib/active_record/associations/has_many_association.rb:27:in `han

dle_dependency'

 | /gems/gems/activerecord-4.2.8/lib/active_record/associations/builder/association.rb:146:in `blo

ck in add_destroy_callbacks'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:448:in `instance_exec'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:448:in `block in make_lambda'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:164:in `call'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:164:in `block in halting'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:504:in `call'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:504:in `block in call'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:504:in `each'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:504:in `call'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:92:in `__run_callbacks__'

 | /gems/gems/activesupport-4.2.8/lib/active_support/callbacks.rb:778:in `_run_destroy_callbacks'

 | /gems/gems/activerecord-4.2.8/lib/active_record/callbacks.rb:292:in `destroy'

 | /gems/gems/activerecord-4.2.8/lib/active_record/transactions.rb:281:in `block in destroy'

 | /gems/gems/activerecord-4.2.8/lib/active_record/transactions.rb:351:in `block in with_transacti

on_returning_status'

 | /gems/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract/database_statement

s.rb:213:in `block in transaction'

 | /gems/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract/transaction.rb:184

:in `within_new_transaction'

 | /gems/gems/activerecord-4.2.8/lib/active_record/connection_adapters/abstract/database_statement

s.rb:213:in `transaction'

 | /gems/gems/activerecord-4.2.8/lib/active_record/transactions.rb:220:in `transaction'

 | /gems/gems/activerecord-4.2.8/lib/active_record/transactions.rb:348:in `with_transaction_return

ing_status'

...

Related issues:

Related to Foreman - Refactor #19295: Use new proxy API for getting informati... Closed 04/18/2017

Is duplicate of Foreman - Bug #22925: REGRESSION: foreman fails to delete a h... Duplicate 03/18/2018

History

#1 - 04/20/2017 03:22 AM - Dominic Cleal

Can you provide version information? Precisely which version of Foreman and the smart proxy are you using?

#2 - 04/20/2017 03:34 AM - Ohad Levy

Dominic Cleal wrote:

Can you provide version information? Precisely which version of Foreman and the smart proxy are you using?

 Oh, that might be it, I'm using nightly foreman but my smart proxy is older(1.13).

#3 - 04/20/2017 03:36 AM - Dominic Cleal

- Related to Refactor #19295: Use new proxy API for getting information from DHCP added

#4 - 04/20/2017 03:37 AM - Dominic Cleal
- Subject changed from unable to delete a host due to dhcp orchestration failure to Unable to delete a host due to DHCP orchestration failure with

older smart proxy

- Category changed from Host creation to DHCP

Likely due to #19295 then, if you're on bf2c7da5 or later. This requires version 1.15.0-RC1 of the smart proxy or higher.

#5 - 04/20/2017 03:43 AM - Ohad Levy

I would suggest we actively notify users on this change(notification, about page, smart proxies page etc), I don't think that all users update all of their

proxies (esp if people still have rhel6) at the same time.

#6 - 03/18/2018 01:18 PM - Ohad Levy

- Is duplicate of Bug #22925: REGRESSION: foreman fails to delete a host when getting a 404 from a proxy added

#7 - 03/18/2018 01:18 PM - Ohad Levy

- Status changed from New to Duplicate

#8 - 03/18/2018 01:19 PM - Ohad Levy

- Status changed from Duplicate to New
